org.apache.avro

## Interface SchemaValidationStrategy

    public interface SchemaValidationStrategy

An interface for validating the compatibility of a single schema against another.

What makes one schema compatible with another is not defined by the contract.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `validate(Schema toValidate, Schema existing)` Validates that one schema is compatible with another.

### Method Detail

#### validate

    void validate(Schema toValidate,
                  Schema existing)
           throws SchemaValidationException

Validates that one schema is compatible with another.

Throws:
  `SchemaValidationException` - if the schemas are not compatible.